ftp.stratus.com
/pub/vos/multics/blw
Paul Green

Last Updated 20 February 1996

This directory contains Multics programs written by Barry L. Wolman.

This group contains programs written in 1972 and 1973 for
Carnegie-Mellon University Professor William Wulf's "Rosetta
Stone" project.  This was a project to solicit many programs for
the same set of tasks, all written in different programming
languages.

The following programs are available:

bsort.pl1           a binary sort program
bsort.list          a Multics PL/I compiler listing file for bsort.pl1
buddy.pl1           a storage allocation program
derive.pl1          a program to differentiate equations
e1.mixal            a test program for the MIX assembler
e2.mixal            a test program for the MIX assembler
letter.runoff       a letter from BLW to Prof. Wulf about the programs
mix.notes           ideas for further improvements to mix assembler
mix.pl1             an assembler for MIX
mixhead.incl.pl1    an include file for mix.pl1
notes.runoff        notes on the projects
p.mixal             an example program for the MIX assembler
write_seg.pl1       a subroutine for mix.pl1

This following data plotting programs, also written
by BLW, are available:

plot.pl1            Multics plot_ subroutines.
tplot.pl1           Sample driver for plot_ subrs.


I have used a scanner to get these programs online, followed by
careful proofreading.  But I am sure that errors remain, because
I have not compiled them on Multics, and do not know whether
they would work on the Multics of today.

I have taken one liberty; Barry would have used the Multics
default tab stops (1, 11, 21, ...); since tab settings vary
widely on the InterNet, I have removed almost all of the tabs
from these files in order to preserve the original look and feel
of the programs.  I left the tabs intact where it mattered to
the program itself.

These programs are offered without warranty of any kind
whatsoever.  You are on your own.


Update from Charles Anthony (06/19/18)
======================================

The files from http://multicians.org/blw/index.html were copied to BAN.AI
Systems Public Access Multics Service, compiled, and tested where feasible.

No changes were made to buddy.pl1 or derive.pl1; they compile without errors
but were not tested.

I wrote "mixrun.pl1" which is a MIX interpreter for the object files generated
by the 'mix' program.

bsort.list: Regenerated from bsort.pl1. (Interestingly, the listing file
            contains the same OCR errors as bsort.pl1, so was generated
            from the scanned code.)

bsort.pl1:  Fixed OCR errors.

e1.mixal: Fixed OCR errors.

e2.mixal: No changes.

mixhead.incl.pl1: Fixed OCR errors.

mix.pl1: Fixed OCR errors.

mixrun.pl1: New; runs MIX code generated by 'mix'.

plot.pl1: Added some missing declarations to fix compile errors
          and functionality.

p.mixal: Fixed OCR and formating errors.

README.txt: This file.

tplot.pl1: Added some missing declarations to fix compile errors
           and functionality.

write_seg.pl1: Missing from web page; needed for mix. copy retrieved from Paul
               Green, OCR errors fixed.


(end)
